MEWLS(1)

NAME
mewls - Message scanner for Mew

SYNOPSIS
mewls [options] [folder [range]]

DESCRIPTION
The mewls utility extracts necessary fields from messages stored in folders. This command is necessary for Mew to implement the asynchronous feature.

The options are as follows:

-a  Print all necessary fields when picking.

-b dir
    Set the Mail home to dir.

-c dir
    Set the News home to dir.

-d field
    Set the field to be extracted to field.

-e command
    Specify an external command to fetch mailbox.

-m options
    Specify options for command.

-f fields
    Specify fields to display.

-h  Display this help message.

-i file
    Set the input stream to file.

-l length
    Set the field max length to be extracted to length. The default value is 3. 0 means no limit.

-n  Don't use fstat().

-p pattern
    Specify the pick pattern.

-s src
    Set message source to src : '+folder range'.

-w time
    Set the wait_for timer to timer (microsecond).

-v  Display the version. Definitions of the symbols above are as follows:

range
    N | [start]-[end] | last:N

pattern
    'key=val' | 'key!=val' | '!<pattern>' | '(<pattern>)' | '<pattern>&<pattern>' | '<pattern>|<pattern>'

BUGS
If a field is long, only the beginning three lines are extracted by default.